# $Revision: 1.33 $, $Date: 2002/07/07 00:13:31 $
Summary:	wxWindows library - GTK port
Summary(pl):	biblioteka wxWindows - port GTK
Name:		wxGTK
Version:	2.3.2
Release:	11
License:	wxWindows Licence
Group:		X11/Libraries
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/wxwindows/%{name}-%{version}.tar.bz2
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-include.patch
Patch2:		%{name}-joystick.patch
URL:		http://www.wxwindows.org/
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	esound-devel
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2.7
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildConflicts:	wxGTK-devel < %{version}
BuildConflicts:	wxGTK-devel > %{version}
Requires:	OpenGL
Requires:	glib
Requires:	iconv
Requires:	wxwin-afm = %{version}
Requires:	wxwin-common = %{version}
Provides:	wxwin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	%{_datadir}

%define		_gcc_ver	%(%{__cc} -dumpversion | cut -b 1)
%if %{_gcc_ver} == 2
%define		__cxx		"%{__cc}"
%endif

%description
wxWindows is a free C++ library for cross-platform GUI development.
With wxWindows, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%description -l pl
wxWindows to darmowa biblioteka napisana w C++ umiliwiajca
rozwijanie wielo-platformowych programw GUI. Z wxWindows moesz
tworzy aplikacje dla rnych GUI (GTK+, Motif/LessTif, MS Windows,
Mac) z tego samego kodu rdowego.

%package -n wxwin-afm
Summary:	Font metrics common for wxGTK and wxMotif
Summary(pl):	Metryki fontw wsplne dla wxGTK i wxMotif
Group:		X11/Libraries

%description -n wxwin-afm
Font metrics (in AFM format) common for wxGTK and wxMotif libraries.

%description -n wxwin-afm -l pl
Metryki fontw (w formacie AFM) wsplne dla bibliotek wxGTK i wxMotif.

%package devel
Summary:	wxGTK header files and development documentation
Summary(pl):	Pliki nagwkowe i dokumentacja do wxGTK
Group:		X11/Development/Libraries
Provides:	wxwin-devel
Provides:	wxwin-base-devel
Obsoletes:	wxBase-devel
Obsoletes:	wxMotif-devel
Requires:	%{name} = %{version}
Requires:	glib-devel
Requires:	gtk+-devel

%description devel
Header files and development documentation for the wxGTK libraries.

%description devel -l pl
Pliki nagwkowe i dokumentacja do bibliotek wxGTK.

%package examples
Summary:	wxGTK example programs
Summary(pl):	Przykadowe programy wxGTK
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description examples
wxGTK example programs

%description examples -l pl
Przykadowe programy wxGTK

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CPPFLAGS="-I`pwd`/include -I%{_includedir}"; export CPPFLAGS
%configure2_13 \
	--enable-shared \
	--enable-soname \
	--with-libpng=sys \
	--with-libjpeg=sys \
	--with-libtiff=sys \
	--with-zlib=sys \
	--with-opengl \
	--with-odbc \
	--enable-burnt_name \
	%{?debug:--enable-debug}%{!?debug:--disable-debug} \
	--enable-no_rtti \
	--enable-no_exceptions \
	--enable-wave \
	--enable-fraction \
	--enable-wxtree \
	--enable-controls \
	--enable-tabdialog \
	--enable-calendar \
	--with-x \
	--with-gtk

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a demos samples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_aclocaldir}
mv -f $RPM_BUILD_ROOT{/usr/X11R6/share/aclocal/*,%{_aclocaldir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

# Locale files are in wxBase.
%files 
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files -n wxwin-afm
%defattr(644,root,root,755)
%{_datadir}/wx

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_bindir}/*
%{_includedir}/wx
%{_libdir}/wx
%{_aclocaldir}/*.m4

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wxGTK.spec,v $
Revision 1.33  2002/07/07 00:13:31  qboosh
- *.afm separated to wxwin-afm package (common for wxGTK and wxMotif)
- release 11

Revision 1.32  2002/07/05 10:37:24  wiget
--enable-soname, release 10

Revision 1.31  2002/06/26 05:34:26  kloczek
- release 9.

Revision 1.30  2002/06/25 17:26:50  mis
- added missing %%defattr

Revision 1.29  2002/06/03 14:36:17  wiget
fixes compilation with gcc 3.x and prefer local includes
release 8

Revision 1.28  2002/05/21 09:31:10  kloczek
- if it possible map %%{__cc} to %%{__cxx} in the same way as in mozilla.spec.

Revision 1.27  2002/05/14 22:16:03  qboosh
- BR: gcc-c++

Revision 1.26  2002/05/12 13:28:50  mkochano
- Release 7.
- Added include patch.
- Removed find_lang. i18n files are in different package.

Revision 1.25  2002/05/08 22:08:58  misiek
- new libpng support

Revision 1.24  2002/05/07 22:53:04  mkochano
- Release 6.
- BR: bison.
- Use %%find_lang.

Revision 1.23  2002/04/29 19:45:47  filon
- added wxwin.m4 to devel
- release 5

Revision 1.22  2002/04/07 08:16:33  filon
- it does not require libstdc++
- moved demos and samples to subpackage
- release 4

Revision 1.21  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/16 18:27:55  kloczek
- adapterized.

Revision 1.19  2002/02/16 16:32:28  misiek
- enable calendar; release up (3 and 2)

Revision 1.18  2002/02/06 04:25:31  kloczek
- adapterized.

Revision 1.17  2002/02/06 02:34:59  kloczek
- release 2.

Revision 1.16  2002/01/18 02:15:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/12/21 13:50:58  qboosh
- switched to .bz2 source

Revision 1.14  2001/12/13 11:47:10  misiek
- updated to 2.3.2

Revision 1.13  2001/10/20 00:48:46  kloczek
- spec adapterized and fwew cosmetics.

Revision 1.12  2001/10/19 22:54:38  misiek
- fixed conflicts; enable drag'n'drop

Revision 1.11  2001/10/19 15:21:12  misiek
- don't include locale files - they are in base

Revision 1.10  2001/10/19 14:56:12  misiek
BuildRequires: flex

Revision 1.9  2001/10/19 14:45:19  misiek
- BuildConflicts: wxGTK-devel

Revision 1.8  2001/10/19 14:41:07  misiek
- final fixes

Revision 1.7  2001/10/19 12:22:36  misiek
- more upates but still NFY

Revision 1.6  2001/10/19 11:50:18  martii
- updated to vesion 2.3.1

Revision 1.5  2001/06/24 20:14:18  qboosh
- updated to 2.2.7
- use system zlib,libpng,libjpeg,libtiff
- don't "enable" configure options enabled by default (too many to write),
  enabled some non-default
- wxGTK-devel obsoletes wx*-devel
- common part of wx{Base,GTK,Motif} separated to wxwin-common package

Revision 1.4  2001/04/24 12:40:07  mis
-added provides: wxwin-devel to devel subpackage

Revision 1.3  2001/04/07 10:35:03  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.2  2001/03/25 13:06:45  misiek
requires glib without version

Revision 1.1  2001/03/25 13:05:03  misiek
multiplatform wxWindows toolkit; new
